[package]
name = "siren"
version = "0.2.2"
edition = "2021"
authors = ["Ben Sherriff <hello@bensherriff.com>"]
repository = "https://github.com/bensherriff/siren"
readme = "README.md"
license = "GPL-3.0-or-later"

[dependencies]
dotenv = "0.15.0"
serde_json = "1.0"
log = "0.4.19"
env_logger = "0.10.0"

[dependencies.serenity]
version = "0.11.6"
default-features = false
features = ["client", "gateway", "rustls_backend", "model", "voice", "cache", "framework", "standard_framework"]

[dependencies.songbird]
version = "0.3.2"
features = ["builtin-queue", "yt-dlp"]

[dependencies.tokio]
version = "1.29.1"
features = ["macros", "rt-multi-thread"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.reqwest]
version = "0.11.18"
default-features = false
features = ["json", "rustls-tls"]

[dependencies.diesel]
version = "2.1.0"
default-features = false
features = ["postgres", "32-column-tables", "serde_json", "r2d2", "with-deprecated"]

[dependencies.rust-bert]
version = "0.21.0"
features = ["download-libtorch"]